Skip to main content

Documentation Index

Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Back to API List This API enables users to import configurations, datasets, or updates into an existing workflow, allowing modifications without creating a new one. It ensures seamless integration by updating the workflow with the provided workflow data, flow data, and environment variables files. After triggering the import, the response returns a dockStatusId. Use this ID to call the Get Dock Status API and verify the status of the workflow import process.
MethodPOST
Endpointhttps://{host}/api/public/workflows/:{workflowId}/import
Content Typeapplication/json
AuthorizationX-api-key - The API key used for authentication.
Where can I find the API key? To use the API, you will need an API key. Learn more.

Query Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
hostThe environment URL. For example, https://ai-for-process.domain.ai/StringRequired
workflowIdThe workflow ID of the workflow being imported.StringRequired

Sample Request

curl --location 'https://{host}/api/public/workflows/a-fbxxxxxf4-20x5-58xb-8b94-00xxxxxxxx5/import' 
--header 'x-api-key: kg-90xxxxx5-9xxe-5xxf-9xx7-9f4xxxxxxxx4-55xxxxx4-axx9-4xx2-axx2-fbcxxxxxxxxa' 
--header 'Content-Type: application/json' 
--data '{
    "workflowDataFileId": "67xxxxxxxxxxxxxxxxxxxxxc",
    "flowDataFileId": "67xxxxxxxxxxxxxxxxxxxxxx2",
    "envVariablesFileId": "67xxxxxxxxxxxxxxxxxxxxx2"
}'

Body Parameters

PARAMETERDESCRIPTIONTYPEREQUIRED/OPTIONAL
workflowDataFileIdThe identifier for the workflow data file being imported.StringRequired
flowDataFileIdThe identifier for the flow data file.StringRequired
envVariablesFileIdThe identifier for the environment variables file.StringRequired

Sample Response

{
   "dockStatusId": "{dockStatusId}",
   "workflowId": "{workflowId}",
   "jobType": "WORKFLOWS",
   "action": "IMPORT",
   "status": "SUCCESS"
}

Response Parameters

PARAMETERDESCRIPTIONTYPESAMPLE VALUE
dockStatusIdThe unique identifier to track the status of action. E.g. import, export, deploy, etc.Stringe.g., ds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8
workflowIdThe unique identifier for the workflow.Stringe.g., a-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6
jobTypeThe type of job being performed.StringWORKFLOWS
actionThe action being performed on the workflow/model.StringIMPORT
statusThe current status of the job.StringIN_PROGRESS, SUCCESS, or FAILED